# Suppression of p53 response by targeting p53-Mediator binding with a stapled peptide

This repository contains the data and scripts used to analyze the RNA-seq and ChIP-seq from 
"Suppression of p53 response by targeting p53-Mediator binding with a stapled peptide" Allen et al. 2022, Cell Reports.
I have made my best effort to include all scripts and describe all methods for the analysis in this manuscript.
If you have any questions regarding the contents of this repository, please contact Taylor Jones at <tajo5912@colorado.edu>.
If unavailable, information can be obtained through the lead contact for this publication, Dylan Taatjes <dylan.taatjes@colorado.edu>.

[![DOI](https://zenodo.org/badge/467625091.svg)](https://zenodo.org/badge/latestdoi/467625091)

## Structure
There are two main directories, ChIP-seq and RNA-seq.
Each contains relevant data and code for these analyses.
Within these main directories there are 3 main subdirecties,

-[data] -contains data used in scripts or key data in the publication

-[notebooks] -contains jupyter notebooks that were used for all ploting and a portion of the analysis

-[scripts] -contains scripts used to run specific programs in the data analysis
